Found 20th Mar 2011
I am just about to let iTunes update to 4.3

I may plan to jailbreak at a later date. No problems with updating today, and being able to jailbreak 4.3???

Thanks in advance.

  1. Misc
  2. iPhone
Groups
  1. Misc
  2. iPhone
12 Comments

why? just why would you not jailbreak now and continue jailbreaking as the releases come out, what's on 4.3 that you need to update now Anyway probably at some point jailbreak will come out, but if you need to unlock then defo shouldn't be updating in iTunes.

Original Poster

It is currently on a old 3.1, and just want to bring it up to date.
I may be selling it this week, so don't want to jail break it just yet in case.

But if I keep I would jailbreak it, and want to make sure I can with 4.3

It is the iPad 1 BTW.

Jailbreak possible but it is tethered,

Im sure you can using Limera1n. That exploit worked on all those forms of hardware.

As for cydia to work on it, im not sure if that is possible at the moment.

Keep an eye on jailbreakmatrix and iphone dev blog.

Original Poster

paulwilly

Jailbreak possible but it is tethered,



What does that mean?

Chiptivo

What does that mean?



You will have to connect it to your computer and boot it everytime you resetart it or the battery runs flat, untethered, which doesnt require this is not far away by the sounds of it

You don't have to update to 4.3.

You're far far faaaarrrr better off downloading 4.2.1, updating to that (simply hold shift when you hit restore in itunes and it lets you select a firmware you've downloaded). Then you can jailbreak easily if you want to.

Download links for 4.2.1 here

baconsandwich

You don't have to update to 4.3. You're far far faaaarrrr better off … You don't have to update to 4.3. You're far far faaaarrrr better off downloading 4.2.1, updating to that (simply hold shift when you hit restore in itunes and it lets you select a firmware you've downloaded). Then you can jailbreak easily if you want to.Download links for 4.2.1 here




Does that still work I thought apple's server no longer verified ? on anything that was not the latest firmware
Edited by: "dontasciime" 20th Mar 2011

Will only work if you have Shsh files for 4.2.1 saved in cydia

Anyway ATM winterboard and most modifying tweaks for the springboard don't work ATM because they have made some changes to the way it works so your best bet is definitely 4.2.1 and the only decent feature is homesharing for ur music

Use tiny umbrella to backup your current shsh so you can downgrade later
Post a comment
Avatar
@
    Text
    Top Discussions
    1. THOMSON TUI 2 CRUISE PROBLEM - ANY HELP APPRECIATED44
    2. Microsoft Surface Pro - reviews/comments/alternatives!22
    3. tv player plus £30 approx for 12 months11
    4. Typical cost of boiler installation34

    See more discussions